
Ruby - Bug #15907

gem bin stub commands are failing

06/08/2019 04:40 AM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v: ruby 2.7.0dev (2019-06-08 master

1696f80f40) [x64-mingw32]

Backport: 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6:

UNKNOWN

Description

Commands like

bundle version

irb  --version

rake --version

rdoc --version

 are failing. All failure are something similar to:

bundle : lib/ruby/2.7.0/rubygems/core_ext/kernel_gem.rb:64:in `synchronize': deadlock; recursive l

ocking (ThreadError)

from lib/ruby/2.7.0/rubygems/core_ext/kernel_gem.rb:64:in `gem'

from lib/ruby/2.7.0/rubygems/core_ext/kernel_require.rb:42:in `require'

 I think this bug has been exposed by "require rubygems/package where used" b76630f73e, maybe a circular loading issue?

History

#1 - 06/08/2019 04:46 AM - MSP-Greg (Greg L)

Sorry for forgetting (to many hours coding today).

One should be able to repo this by copying the lib/rubygems folder from master/trunk to an existing install, then run a CLI command similar to any of

the above...

#2 - 06/08/2019 04:55 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

Hi, Greg.

Thanks to your report. I reverted b76630f73e for another reason. Can you try with the current master as 

https://github.com/ruby/ruby/commit/3776c48cf41950d2cc994676bb2735ee1a0a474e ?

#3 - 06/08/2019 01:20 PM - MSP-Greg (Greg L)

Hiroshi,

Good evening.  A ruby-loco CRON job just happened to run on 3776c48cf4, and it passed.

Thank you, and sorry for the delay, I recently woke up.

JFYI, a while ago I added CLI output to ruby-loco CI, but I didn't add code to fail a build on CLI errors.  Hence, CLI could be broken, but ruby-loco

would pass.  Not good for all the repos using it for CI...

I've now added CI code to fail a build on CLI failure.  Thanks again, Greg

#4 - 06/09/2019 10:35 PM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed
